var C K1 K2 L S1 S2 THETA V1 V2 WF ALPHA1 ALPHA2;

varexo KSI E_ALPHA1 E_ALPHA2;

parameters THETA_SS LAMBDA DELTA1 DELTA2 ALPHA1_SS ALPHA2_SS ETA BETA GAMMA;

THETA_SS=1.0;
LAMBDA=0.3;
DELTA1=0.2;
DELTA2=0.2;
ALPHA1_SS=0.15;
ALPHA2_SS=0.15;
ETA=3;
BETA=0.95;
GAMMA=1.3;

model;
C = THETA*K1^ALPHA1*K2^ALPHA2*L^(1-ALPHA1-ALPHA2)-S1*K1-S2*K2;
K1 = (1+(1-0.5*DELTA1*S1)*S1)*K1(-1);
K2 = (1+(1-0.5*DELTA2*S2)*S2)*K2(-1);
THETA = LAMBDA*THETA(-1)+(1-LAMBDA)*THETA_SS+KSI;
C^(-GAMMA)*THETA*K1^ALPHA1*K2^ALPHA2*L^(-ALPHA1-ALPHA2)*(1-ALPHA1-ALPHA2) = L^ETA;
C^(-GAMMA) = BETA*V1(+1)*(1-DELTA1*S1); 
C^(-GAMMA) = BETA*V2(+1)*(1-DELTA2*S2);
V1 = C^(-GAMMA)*(ALPHA1*THETA*K1^(ALPHA1-1)*K2^ALPHA2*L^(1-ALPHA1-ALPHA2)-S1)+BETA*V1(+1)*(1+(1-0.5*DELTA1*S1)*S1); 
V2 = C^(-GAMMA)*(ALPHA2*THETA*K1^ALPHA1*K2^(ALPHA2-1)*L^(1-ALPHA1-ALPHA2)-S2)+BETA*V2(+1)*(1+(1-0.5*DELTA2*S2)*S2);
WF = C^(1-GAMMA)/(1-GAMMA)-L^(1+ETA)/(1+ETA);
ALPHA1 = 0.5*ALPHA1(-1)+0.5*ALPHA1_SS+E_ALPHA1;
ALPHA2 = 0.5*ALPHA2(-1)+0.5*ALPHA2_SS+E_ALPHA2;
end;

initval;
C=   1.33341818203972;
K1=   3.80023995548668;
K2=   3.80023995563911;
L=   0.85120255261552;
S1=                  0;
S2=                  0;
THETA=   1.00000000000000;
V1=   0.59202988402399;
V2=   0.59202988402399;
WF=   -0.88119392448981;
ALPHA1=0.15;
ALPHA2=0.15;
end;

vcov = [
0.01 0 0;
0 0.01 0;
0 0 0.005
];

order = 4;
